import request from '@/utils/request'

// 查询请求报文列表
export function listMsg(query) {
  return request({
    url: '/market/msg/list',
    method: 'get',
    params: query
  })
}

// 查询请求报文详细
export function getMsg(reqId) {
  return request({
    url: '/reqmsg/msg/' + reqId,
    method: 'get'
  })
}

// 新增请求报文
export function addMsg(data) {
  return request({
    url: '/reqmsg/msg',
    method: 'post',
    data: data
  })
}

// 修改请求报文
export function updateMsg(data) {
  return request({
    url: '/reqmsg/msg',
    method: 'put',
    data: data
  })
}

// 删除请求报文
export function delMsg(reqId) {
  return request({
    url: '/reqmsg/msg/' + reqId,
    method: 'delete'
  })
}
